<?php
namespace FiloBlu\ScratchAndWin\Model\ScratchAndWin\Source;

class IsEnabled implements \Magento\Framework\Data\OptionSourceInterface
{
    /**
     * @var \FiloBlu\ScratchAndWin\Model\ScratchAndWin
     */
    protected $scratchandwin;

    public function __construct(\FiloBlu\ScratchAndWin\Model\ScratchAndWin $scratchandwin)
    {
        $this->scratchandwin = $scratchandwin;
    }

    /**
     * Get options
     *
     * @return array
     */
    public function toOptionArray()
    {
        $options[] = ['label' => '', 'value' => ''];
        $availableOptions = $this->scratchandwin->getAvailableStatuses();

        foreach ($availableOptions as $key => $value) {
            $options[] = [
                'label' => $value,
                'value' => $key,
            ];
        }
        return $options;
    }
}